<p align="center">
<img src="https://user-images.githubusercontent.com/2853428/54870888-3b2b5800-4d8b-11e9-8e3d-f56fd7692117.png" alt="Javali" width="430">
<p align="center">
    <a href="https://www.npmjs.com/package/javali"><img alt="NPM" src="https://img.shields.io/npm/v/javali.svg?style=flat-square"></a> <a href="https://standardjs.com"><img src="https://img.shields.io/badge/code_style-standard-brightgreen.svg?style=flat-square" alt="JavaScript Style Guide" /></a> <a href="./license.md"><img alt="GitHub" src="https://img.shields.io/github/license/diogomoretti/javali.svg?style=flat-square"></a>
</p>
<h3 align="center"><strong>⁓ <a href="https://javali.js.org">javali.js.org</a> ⁓</strong></h3>
</p>
<br>

## 🐗 About

**[Javali](https://javali.js.org/)** (aka **JAVA***Script* **LI***brary*) is a CLI like [Create React App](https://github.com/facebook/create-react-app), but for creating JavaScript libraries. Below, some features:

- **Simple command** to create a library
- **Fully ES6** that compiles to UMD and CommonJS
- **[Rollup](https://rollupjs.org/guide/en)** as bundler
- **[Jest](https://jestjs.io/)** for tests

<br>

## 🐗 Get started

### Using NPX

**1** ⁓ Install and create your library immediately:


```shell
npx javali my-lib
```

**2** ⁓ Enjoy!

### Using global cli

**1** ⁓ Install **[Javali](https://javali.js.org/)** globally:

```shell
yarn global add javali

or

npm install -g javali
```

**2** ⁓ Create your library:

```shell
javali my-lib
```

**3** ⁓ Enjoy!



✅ A folder and library called `my-lib` will be created in this case.

<br>

## 🐗 Contributing

1. `git checkout -b my-feature`
2. `git add --all`
3. `git commit -m "My commit message about my-feature"`
4. `git push origin my-feature`
5. Open a Pull Request =]

<br>

## 🐗 License

[MIT](./license.md) © [Diogo Moretti](https://github.com/diogomoretti)
